# Self-Attention Network (SANet)
This repository contains an implementation of SANet (**S**elf-**A**ttention **Net**work) presented in "[Importance of Self-Attention for Sentiment Analysis](https://www.aclweb.org/anthology/W18-5429/)" by Letarte, Paradis, Giguère and Laviolette, presented at the *EMNLP 2018* workshop *BlackboxNLP: Analyzing and Interpreting Neural Networks for NLP*.


## Requirements
- Python 3.6
- Numpy 1.17.2
- Pytorch 1.3.1
- Poutyne 0.7.2
- Scikit-learn 0.22.2
- Pandas 0.25.1
- Nltk 3.4.1

## BiBTeX
```
@inproceedings{letarte2018importance,
  title={Importance of self-attention for sentiment analysis},
  author={Letarte, Ga{\"e}l and Paradis, Fr{\'e}d{\'e}rik and Gigu{\`e}re, Philippe and Laviolette, Fran{\c{c}}ois},
  booktitle={Proceedings of the 2018 EMNLP Workshop BlackboxNLP: Analyzing and Interpreting Neural Networks for NLP},
  pages={267--275},
  year={2018}
}
```
